## org.eclipse.amp.amf.testing.scoping
Class ATestScopeProvider

    java.lang.Object
      org.eclipse.xtext.scoping.impl.AbstractScopeProvider
          org.eclipse.xtext.scoping.impl.AbstractDeclarativeScopeProvider
              org.eclipse.amp.amf.testing.scoping.ATestScopeProvider

All Implemented Interfaces:
  org.eclipse.xtext.scoping.IScopeProvider

    public class ATestScopeProvider

extends org.eclipse.xtext.scoping.impl.AbstractDeclarativeScopeProvider

This class contains custom scoping description. see : http://www.eclipse.org/Xtext/documentation/latest/xtext.html#scoping on how and when to use it

Field Summary

Fields inherited from class org.eclipse.xtext.scoping.impl.AbstractDeclarativeScopeProvider
`logger, NAMED_DELEGATE, NAMED_ERROR_HANDLER`

Constructor Summary
`ATestScopeProvider()`

Method Summary
`org.eclipse.xtext.scoping.IScope` `getScope(org.eclipse.emf.ecore.EObject object, org.eclipse.emf.ecore.EReference reference)`

Methods inherited from class org.eclipse.xtext.scoping.impl.AbstractDeclarativeScopeProvider
`getDelegate, getErrorHandler, setDelegate, setErrorHandler`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ATestScopeProvider

    public ATestScopeProvider()

Method Detail

### getScope

    public org.eclipse.xtext.scoping.IScope getScope(org.eclipse.emf.ecore.EObject object,
                                                     org.eclipse.emf.ecore.EReference reference)

  Specified by:
    `getScope` in interface `org.eclipse.xtext.scoping.IScopeProvider`
  Overrides:
    `getScope` in class `org.eclipse.xtext.scoping.impl.AbstractDeclarativeScopeProvider`
  Parameters:
    `object` -
    `reference` -
  Returns:
  See Also:
    `org.eclipse.xtext.scoping.impl.DefaultScopeProvider#getScope(org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EReference)`